Bug 1565389 - Automate tree in the left pane has duplicates following any copy operation (instance, class, namespace)
Summary: Automate tree in the left pane has duplicates following any copy operation (i...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Dan Clarizio
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1544844
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 00:17 UTC by Satoe Imaishi
Modified: 2018-06-25 14:20 UTC (History)
8 users (show)

(edit)
Clone Of: 1544844
(edit)
Last Closed: 2018-06-25 14:19:47 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:20 UTC

Comment 2 CFME Bot 2018-04-10 01:27:41 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/f5ad53d802d5a3f25c0a19633142c2cbeba4f8b5
commit f5ad53d802d5a3f25c0a19633142c2cbeba4f8b5
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Feb 14 06:41:12 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Wed Feb 14 06:41:12 2018 -0500

    Merge pull request #3400 from skateman/copy-nodes

    Copy nodes object to fix iteration when adding new tree items
    (cherry picked from commit e8f8017c866e38483c91240b9b39dd071342c3d0)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565389

 app/assets/javascripts/miq_tree.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Dmitry Misharov 2018-04-17 12:22:19 UTC
Fixed and verified in 5.8.4.1.20180413183721_10e9d3b. Copying instances and classes work as expected, there are no duplicates.

Comment 5 errata-xmlrpc 2018-06-25 14:19:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.